Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.passage
Class PassageGuiUtil

    java.lang.Object
      org.crosswire.bibledesktop.passage.PassageGuiUtil

    public class PassageGuiUtil

extends Object

A Simple extension to JList to customize it to hold a Passage and provide Passage related actions.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: PassageGuiUtil.java,v 1.6 2004/08/30 09:26:14 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`private` | `PassageGuiUtil()` Prevent Instansiation

Method Summary
`static void` | `deleteSelectedVersesFromList(JList list)` Remove all of the selected verses from the passage
`static void` | `deleteSelectedVersesFromTree(JTree tree)`
`static Key` | `getSelectedKeys(JTree tree)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassageGuiUtil

    private PassageGuiUtil()

  Prevent Instansiation

Method Detail

### deleteSelectedVersesFromList

    public static void deleteSelectedVersesFromList(JList list)

  Remove all of the selected verses from the passage

### deleteSelectedVersesFromTree

    public static void deleteSelectedVersesFromTree(JTree tree)

  Parameters:
    `tree` - The tree to delete selected verses from

### getSelectedKeys

    public static Key getSelectedKeys(JTree tree)

  Returns:
    The selected keys in the tree

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD